<?php
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$valores=$_POST['numeros'];
$numeros=explode(';',$valores);

$seleccionados=$_POST['seleccionados'];
$seleccionados=explode(';',$seleccionados);

if(isset($_POST['sscc']) && $_POST['sscc']) $sscc=$_POST['sscc'];
else $sscc='';

if( isset($_POST['accion']) && $_POST['accion'] ) $accion=$_POST['accion'];
if( isset($_POST['contador']) && $_POST['contador'] ) $contador=$_POST['contador'];

switch($accion) {

	case 1:
		$titulo='Liberar trazabilidad';
		$boton='Aceptar';
		break;

}


?>
<p><?php if($titulo) echo $titulo; else echo 'Trazabilidad'; ?></p>

<?php if($sscc) { ?>
<table class="tablaFormateada">
<tr><th>SSCC</th></tr>
<tr><td><h3 class="sinMargen"><?php echo '(00)'.$sscc; ?></h3></td></tr>
</table>
<br />
<?php } ?>

<?php if($valores) { ?>

<table class="tablaFormateada">
	<tr <?php if($selector) { ?>class="selectorLineaTTT"<?php } ?>>
    	<th>Id</th>
		<th>Formato</th>
        <th>Cantidad</th>
        <?php if($accion) { ?><th>Seleccionar</th><?php } ?>
    </tr>
    <?php foreach($numeros as $numero) { ?>
		<?php
		$item=explode(',',$numero);
        $id=$item[0];
		$cantidad=$item[2];
		?>
        <tr>
            <td align="left"><?php echo formateaTTT(base64_decode($id)); ?></td>
            <td>
            <?php
			$arrayTemp=unserialize(FORMATOS_TRAZABILIDAD);
			echo $arrayTemp[$item[1]];
			?>
			</td>
            <td align="right"><?php echo $cantidad; ?></td>
            <?php if($accion) { ?><td><input type="checkbox" name="checkbox-<?php echo $id; ?>" id="checkbox-<?php echo $id; ?>" codigo="<?php echo $id; ?>" class="checkGrande checkIdTrazabilidad" cantidad="<?php echo $cantidad; ?>" <?php if(in_array($id,$seleccionados)) { ?>checked<?php } ?>/></td><?php } ?>
        </tr>
    <?php } ?>
</table>

<?php } else { ?>

<p class="mini">No hay identificadores de trazabilidad informados.</p>

<?php  } ?>

<?php if($accion) { ?>
<p><input type="button" name="botonAceptarTrazabilidad" id="botonAceptarTrazabilidad" value="<?php echo $boton; ?>" class="boton" contador="<?php echo $contador; ?>"/></p>
<?php } ?>

<p><input type="button" name="botonCerrarTrazabilidad" id="botonCerrarTrazabilidad" value="Cerrar" class="boton reducido"/></p>

<script>

	$(document).ready(function() {
	
		$('#botonCerrarTrazabilidad').on("click",function(){
			$('#popupTrazabilidad').hide();
			$('#popupTrazabilidadContenido').hide();
		});
		
	});
	
</script>